## org.eclipse.datatools.sqltools.common.ui.util
Class SubstitutionTextReader

    java.lang.Object
      java.io.Reader
          org.eclipse.datatools.sqltools.common.ui.util.SingleCharReader
              org.eclipse.datatools.sqltools.common.ui.util.SubstitutionTextReader

All Implemented Interfaces:
  java.io.Closeable, java.lang.Readable

Direct Known Subclasses:
  HTML2TextReader

    public abstract class SubstitutionTextReader

extends SingleCharReader

Reads the text contents from a reader and computes for each character a potential substitution. The substitution may eat more characters than only the one passed into the computation routine.

Author:
  Hui Cao

Method Summary
`void` `close()`
`int` `read()`
`boolean` `ready()`
`void` `reset()`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.util.SingleCharReader
`getString, read`

Methods inherited from class java.io.Reader
`mark, markSupported, read, read, skip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `SingleCharReader`
  Throws:
    `java.io.IOException`
  See Also:
    `Reader.read()`

### ready

    public boolean ready()
                  throws java.io.IOException

  Overrides:
    `ready` in class `SingleCharReader`
  Throws:
    `java.io.IOException`
  See Also:
    `Reader.ready()`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in class `java.io.Reader`
  Throws:
    `java.io.IOException`
  See Also:
    `Reader.close()`

### reset

    public void reset()
               throws java.io.IOException

  Overrides:
    `reset` in class `java.io.Reader`
  Throws:
    `java.io.IOException`
  See Also:
    `Reader.reset()`